> For the complete documentation index, see [llms.txt](https://docs.bisnode.ee/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bisnode.ee/general-information/getcompanyinformation.md).

# getCompanyInformation

## getCompanyInformation

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/getCompanyInformation`

**Needed Headers:** Content-type: application/json\
\
This endpoint allows you to get general company information such as: \
`* Company name`\
`* Company type`\
`* Company type code`\
`* Company status`\
`* Company status code`\
`* Company deletion date (if deleted)`\
`* Registration number`\
`* Registration date`\
`* Registered capital`\
`* VAT number`\
`* Address`\
`* Activity NACE code`\
`* Activity description`\
`* Country`\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/getCompanyInformation' --data '{`\
&#x20;   `"token": "0c725874e737c8195de547f67692d8b976726561",`\
&#x20;   `"reg_code": "10117826",`\
&#x20;   `"country": "EST",`\
&#x20;   `"language": "en"`\
`}'`

#### Query Parameters

| Name      | Type   | Description                                                          |
| --------- | ------ | -------------------------------------------------------------------- |
| language  | string | 2-letter language code. Must be "en", "et" or "ru". Default is "en". |
| token     | string | Your 'access token' (API key).                                       |
| reg\_code | string | Company registration number.                                         |
| country   | string | 3-letter country code "EST", "LVA" or "LTU". Default is "EST".       |

{% tabs %}
{% tab title="200 Response successfully retrieved" %}

```javascript
{
    "company_id": "264421",
    "company_name": "BISNODE ESTONIA AS",
    "company_type": "Public limited company",
    "company_type_code": "AS",
    "status": "Active",
    "status_code": "A",
    "deletion_date": null,
    "registration_number": "10117826",
    "registration_date": "1996-11-18",
    "registered_capital": "25560",
    "registered_capital_currency": "EUR",
    "vat_number": "EE100106532",
    "address": "Endla tn 15, 10122, Tallinn, Harju maakond",
    "activity": "63.99",
    "activity_code": "63.99",
    "activity_description": "Other information service activities n.e.c.",
    "country": "EST"
}
```

{% endtab %}

{% tab title="400 Invalid country code" %}

```javascript
{
    "error": "error",
    "code": 400,
    "message": "Country code is wrong. Must be EST LTU or LVA"
}
```

{% endtab %}

{% tab title="401 Invalid token" %}

```javascript
{
    "error": "error",
    "code": 401,
    "message": "Token is wrong"
}
```

{% endtab %}

{% tab title="402 Not enough credit" %}

```javascript
{
    "error": "error",
    "code": 402,
    "message": "Monthly requests limit exceeded"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "error": "error",
    "code": 403,
    "message": "This request is not allowed for you"
}
```

{% endtab %}

{% tab title="404 Could not find a company matching this query" %}

```javascript
{
    "error": "error",
    "code": 404,
    "message": "No such company"
}
```

{% endtab %}

{% tab title="409 " %}

```javascript
{
    "error": "error",
    "code": 409,
    "message": "Something went wrong"
}
```

{% endtab %}

{% tab title="422 Validation failed" %}

```javascript
{
    "error": "error",
    "code": 422,
    "message": "Schema validation error"
}
```

{% endtab %}

{% tab title="423 " %}

```javascript
{
    "error": "error",
    "code": 423,
    "message": "Locked. Wait for previous request to complete"
}
```

{% endtab %}

{% tab title="500 " %}

```javascript
{
    "error": "error",
    "code": 500,
    "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bisnode.ee/general-information/getcompanyinformation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
